name: RentRescue4K
options:
  bundleIdPrefix: com.neog
  deploymentTarget:
    macOS: "14.0"
  xcodeVersion: "15.0"
  generateEmptyDirectories: true

settings:
  base:
    MARKETING_VERSION: "1.0.0"
    CURRENT_PROJECT_VERSION: "1"
    DEVELOPMENT_TEAM: ""
    CODE_SIGN_STYLE: Automatic
    SWIFT_VERSION: "5.9"
    MACOSX_DEPLOYMENT_TARGET: "14.0"
    ALWAYS_SEARCH_USER_PATHS: NO

targets:
  RentRescue4K:
    type: application
    platform: macOS
    sources:
      - path: RentRescue4K
        excludes:
          - "**/.DS_Store"
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.neog.RentRescue4K
        PRODUCT_NAME: RentRescue4K
        PRODUCT_MODULE_NAME: RentRescue4K
        INFOPLIST_FILE: RentRescue4K/Info.plist
        CODE_SIGN_ENTITLEMENTS: RentRescue4K/RentRescue4K.entitlements
        ASSETCATALOG_COMPILER_APPICON_NAME: AppIcon
        COMBINE_HIDPI_IMAGES: YES
        GENERATE_INFOPLIST_FILE: NO
        DEBUG_INFORMATION_FORMAT: dwarf-with-dsym
        GCC_GENERATE_DEBUGGING_SYMBOLS: YES
        DWARF_DSYM_FILE_NAME: $(PRODUCT_NAME).app.dSYM
        LD_RUNPATH_SEARCH_PATHS:
          - $(inherited)
          - "@executable_path/../Frameworks"
    info:
      path: RentRescue4K/Info.plist
      properties:
        CFBundleName: RentRescue4K
        CFBundleDisplayName: RentRescue4K
        CFBundleShortVersionString: "1.0.0"
        CFBundleVersion: "1"
        LSApplicationCategoryType: public.app-category.finance
        NSHumanReadableCopyright: "Copyright © 2025 NEOG. All rights reserved."
    entitlements:
      path: RentRescue4K/RentRescue4K.entitlements
      properties:
        com.apple.security.app-sandbox: true
        com.apple.security.network.client: true
